-- filename: 
-- version: lua51
-- line: [0, 0] id: 0
local r0_0 = {}
local r1_0 = {}
Profiler = r0_0
r0_0.counts = {
  line = {},
}
r0_0.last_line = nil
r0_0.last_time = os.time()
r0_0.ended = nil
r0_0.started = nil
function r0_0.activate(r0_1, r1_1)
  -- line: [32, 58] id: 1
  if not r1_1 then
    r1_1 = "line"
  end
  r0_1.started = os.time()
  debug.sethook(function(r0_2, r1_2, ...)
    -- line: [35, 54] id: 2
    if r0_1.counts[r0_2][r1_2] == nil then
      r0_1.counts[r0_2][r1_2] = {
        count = 0,
        time = 0,
      }
    end
    r0_1.counts[r0_2][r1_2].count = r0_1.counts[r0_2][r1_2].count + 1
    if r0_1.last_line then
      local r4_2 = os.time() - r0_1.last_time
      if r4_2 > 0 then
        r0_1.counts[r0_2][r0_1.last_line].time = r0_1.counts[r0_2][r0_1.last_line].time + r4_2
        r0_1.last_time = os.time()
      end
    end
    r0_1.last_line = r1_2
  end, r1_1)
end
function r0_0.deactivate(r0_3, r1_3)
  -- line: [63, 67] id: 3
  if not r1_3 then
    r1_3 = "line"
  end
  r0_3.ended = os.time()
  debug.sethook(nil, r1_3)
end
function r0_0.print_results(r0_4, r1_4)
  -- line: [72, 81] id: 4
  if not r1_4 then
    r1_4 = "line"
  end
  System.Log("" .. " " .. r1_4 .. " " .. "count" .. " " .. "approx. time (s)")
  System.Log("" .. " " .. "----" .. " " .. "-----" .. " " .. "----------------")
  for r5_4, r6_4 in pairs(r0_4.counts[r1_4]) do
    local r9_4 = r5_4
    System.Log("" .. r9_4 .. " " .. r6_4.count .. " " .. r6_4.time)
  end
  System.Log("" .. tostring(r0_4.ended - r0_4.started) .. " second(s) total (approximately).")
end
